package ogloszenia.klient;

import java.util.Scanner;

import ogloszenia.wygenerowane.*;

public class Klient2 {

	public static void main(String[] args) {
		System.out.println("Na dobry początek");
		
		SerwisOgloszeniowyService serwis = new SerwisOgloszeniowyService();
		SerwisOgloszeniowy proxy = serwis.getSerwisOgloszeniowyPort();

		System.out.println("proxy utworzone");
		
		Scanner sc = new Scanner(System.in);
		
		while(true) {
			System.out.print("Podaj ID ogłoszenia: ");
			
			if(! sc.hasNextInt())
				break;
			
			int id = sc.nextInt();
			sc.nextLine();

			try {
				Samochodowe ogl = proxy.odczytajWgId(id);
				System.out.println(ogl.getMarka() + " " + ogl.getModel() + " " + ogl.getRocznik());
				System.out.println();
			} catch (BladBazyDanych_Exception e) {
				e.printStackTrace();
			} catch (NieznanyRekord_Exception e) {
				System.out.println("Nie istnieje ogłoszenie o numerze " + id);
			}
		}
		
		System.out.println("papa");
	}

}
